SVGFILES=$(patsubst %.dat,%.svg,$(wildcard *.dat))
PNGFILES=$(patsubst %.dat,%.png,$(wildcard *.dat))
PDFFILES=$(patsubst %.svg,%.pdf,$(SVGFILES))

all: ${PDFFILES}

%.svg: %.dat %.plt
	gnuplot -e "dat_file='$*.dat'; out_file='$*.svg';" $*.plt
	convert $*.svg $*.png
	@#convert -background none -density 1000 -resize 800x $*.svg $*.png

%.pdf: %.svg
	inkscape $< --export-pdf=$@

clean:
	rm -f *.svg *.png *.pdf
